Bug 867225 - AttributeError: 'SwapSpace' object has no attribute 'mountpoint'
AttributeError: 'SwapSpace' object has no attribute 'mountpoint'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:5629bab00ead059f3067fdb4f6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 01:55 EDT by Steve Tyler
Modified: 2014-02-05 07:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:36:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: anaconda-tb (1.04 MB, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: environ (888 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: storage.log (559.84 KB, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: version (2 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: program.log (252.12 KB, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: product (6 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: anaconda.log (58.04 KB, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: release (33 bytes, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
File: messages (159.33 KB, text/plain)
2012-10-17 01:55 EDT, Steve Tyler
no flags Details
screenshot showing ext4 partition with 'swap' mount point (86.38 KB, image/png)
2012-10-17 02:01 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-10-17 01:55:19 EDT
Version-Release number of selected component:
anaconda-18.17-1.fc18.x86_64

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.17 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 446, in apply
:    ui_device.format.mountpoint != device.format.mountpoint:
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 108, in _runSpoke
:    action.apply()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 323, in _on_spoke_clicked
:    self._runSpoke(spoke)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 338, in _on_spoke_clicked
:    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
:AttributeError: 'SwapSpace' object has no attribute 'mountpoint'
Comment 1 Steve Tyler 2012-10-17 01:55:24 EDT
Created attachment 628524 [details]
File: ifcfg.log
Comment 2 Steve Tyler 2012-10-17 01:55:29 EDT
Created attachment 628525 [details]
File: anaconda-tb
Comment 3 Steve Tyler 2012-10-17 01:55:30 EDT
Created attachment 628526 [details]
File: environ
Comment 4 Steve Tyler 2012-10-17 01:55:32 EDT
Created attachment 628527 [details]
File: type
Comment 5 Steve Tyler 2012-10-17 01:55:35 EDT
Created attachment 628528 [details]
File: storage.log
Comment 6 Steve Tyler 2012-10-17 01:55:36 EDT
Created attachment 628529 [details]
File: version
Comment 7 Steve Tyler 2012-10-17 01:55:38 EDT
Created attachment 628530 [details]
File: program.log
Comment 8 Steve Tyler 2012-10-17 01:55:40 EDT
Created attachment 628531 [details]
File: product
Comment 9 Steve Tyler 2012-10-17 01:55:42 EDT
Created attachment 628532 [details]
File: anaconda.log
Comment 10 Steve Tyler 2012-10-17 01:55:43 EDT
Created attachment 628533 [details]
File: hashmarkername
Comment 11 Steve Tyler 2012-10-17 01:55:44 EDT
Created attachment 628534 [details]
File: cmdline_file
Comment 12 Steve Tyler 2012-10-17 01:55:47 EDT
Created attachment 628535 [details]
File: release
Comment 13 Steve Tyler 2012-10-17 01:55:50 EDT
Created attachment 628536 [details]
File: messages
Comment 14 Steve Tyler 2012-10-17 02:01:43 EDT
Created attachment 628539 [details]
screenshot showing ext4 partition with 'swap' mount point
Comment 15 Fedora End Of Life 2013-12-21 04:08:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 07:36:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.